import {
  get
} from "../../utils/http"

// subPackagesD/pages/skinHistory/skinHistory.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    skinHistoryList: [], //历史检测记录列表
    total: '', //检测记录总数量
    page: 1,
    limit: 10
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
        // 禁用分享
        wx.hideShareMenu()
    // 获取检测记录
    this.getSkinHistory()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {
    if (this.data.total > this.data.skinHistoryList.lenght) {
      this.getSkinHistory(++this.data.page)
    }
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  },
  // 获取检测记录
  getSkinHistory(_page) {
    get('v2/api/analysis/list', {
      page: _page || this.data.page,
      limit: this.data.limit,
    }, (res) => {
      if (res.code == 200) {
        let skinHistoryList = this.data.skinHistoryList
        if (this.data.page == 1 || _page == 1) {
          skinHistoryList = []
        }
        skinHistoryList.push(...res.data.list)
        this.setData({
          skinHistoryList,
          total: res.data.total
        })
      }
    })
  },
  //点击去历史详情
  goHistoryDetail(e){
    let index = e.currentTarget.dataset.index
    let id = e.currentTarget.dataset.id
    if(index==0){
      wx.navigateTo({
        url: `/subPackagesD/pages/testSkin/testSkin?analysis_id=${id}&&isRadio=true&isHistory=false`,
      })
    }else{
      wx.navigateTo({
        url: `/subPackagesD/pages/testSkin/testSkin?analysis_id=${id}&&isRadio=false&isHistory=false`,
      })
    }
  }
})